Subject: RE: [AAA-WG]: Diameter Base: Application ID proposal

From: <[email-masked]>
Date: Thu, 4 Jul 2002 11:25:48 +0300

Hi Yoshihiro,

> When a vendor uses a Vendor-Specific-Application-ID with specifying
> their Vendor-ID and a standard Auth-Application-Id, e.g., (NASREQ), it
> would be problematic if that vendor application could be something
> different from the Diameter NASREQ application and that is going to be
> widely used for a long time without being standardized.
> 
> Instead of that, is it possible to eliminate
> Vendor-Specific-Application-ID (i.e., just using
> {Auth,Acct}-Application-Id without accompaning a Vendor-ID) and
> partition the Application Identifier number space into three
> categories for which different number assignment policy is applied,
> i.e., "standard", "temporary" and "private use", like I suggested for
> Command-Code?

My plan is that the application id would be unique, no matter if
it is vendor specific, standardized IETF, accounting, authorization,
etc.  This way, the application id by itself would be unique.  

John

---

From: <[email-masked]>
Date: Tue, 9 Jul 2002 13:09:36 +0300

Hi Pete,

> I am a bit confused about the current status of the discussions - I
> read draft-12 and I see the Vendor-ID is there in the header.  Is the
> current consensus to keep it there or remove it?  With the above, I
> guess it doesn't really need to be there, although it could be an aid
> to certain implementations.

Version 12 was not submitted, it is for discussion.  I think that 
current consensus seems to indicate that we remove it.

I will be updating the spec by the end of the week.

John